Box lifecycle
Get box
Poll this endpoint after create, stop, resume, or fork operations.
GET
/
boxes
/
{boxId}
Get box
curl --request GET \
--url https://ascii.dev/api/box/v1/boxes/{boxId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://ascii.dev/api/box/v1/boxes/{boxId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ascii.dev/api/box/v1/boxes/{boxId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"type": "box.info",
"box": {
"id": "bx_23456789",
"name": "Box 2026-05-31 12:00",
"state": "idle",
"url": "https://machine.on.ascii.dev",
"ip": "203.0.113.10",
"createdAt": "2026-05-31T12:00:00Z",
"updatedAt": "2026-05-31T12:05:00Z",
"archiveAfter": "2026-05-31T13:00:00Z",
"desktopAvailable": true,
"desktopUrl": "https://desktop.example/stream.html?token=redacted",
"snapshotAvailable": false,
"snapshotCompletedAt": null
}
}{
"ok": false,
"type": "box.error",
"status": 401,
"code": "unauthorized",
"message": "Unauthorized",
"error": {
"code": "unauthorized",
"message": "Unauthorized",
"status": 401
},
"requestId": "req_01HX..."
}{
"ok": true,
"type": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
}
}Authorizations
Box bearer token in the form box_.... Service API keys authenticate Box operations.
Path Parameters
Public Box id returned by create/list/get box calls.
Pattern:
^bx_[23456789abcdefghjkmnpqrstuvwxyz]{8}$⌘I
Get box
